import request from '@/utils/request'

// 创建企业管理-员工信息
export function createStaff(data) {
  return request({
    url: '/company/staff/create',
    method: 'post',
    data: data
  })
}

// 更新企业管理-员工信息
export function updateStaff(data) {
  return request({
    url: '/company/staff/update',
    method: 'put',
    data: data
  })
}

// 删除企业管理-员工信息
export function deleteStaff(id) {
  return request({
    url: '/company/staff/delete?id=' + id,
    method: 'delete'
  })
}

// 获得企业管理-员工信息
export function getStaff(id) {
  return request({
    url: '/company/staff/get?id=' + id,
    method: 'get'
  })
}

// 获得企业管理-员工信息
export function getStaffById(id) {
  return request({
    url: '/company/staff/getById?id=' + id,
    method: 'get'
  })
}

// 获得企业管理-员工信息分页
export function getStaffPage(params) {
  return request({
    url: '/company/staff/page',
    method: 'get',
    params
  })
}
// 导出企业管理-员工信息 Excel
export function exportStaffExcel(params) {
  return request({
    url: '/company/staff/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

// 获取当前登录用户所属标签
export function getLabels(){
  return request({
    url: '/company/staff/labels',
    method: 'get',
  })
}

// 获取当前登录用户部门下的员工信息
export function getStaffList(){
  return request({
    url: '/company/staff/list',
    method: 'get'
  })
}

// 验证工号是否重复
export function checkWorkNo(workNo){
  return request({
    url: '/company/staff/checkWorkNo?workNo=' + workNo,
    method: 'get'
  })
}

// 重置密码
export function resetPassword(data){
  return request({
    url: '/company/staff/resetPassword',
    method: 'post',
    data
  })
}

// 获取角色列表
export function getRoleList(){
  return request({
    url: '/company/staff/roleList',
    method: 'get'
  })
}

// 获取当前登录用户部门下的员工信息
export function getStaffListByCorpId(id){
  return request({
    url: '/company/staff/listByCorpId?id=' + id,
    method: 'get'
  })
}
